aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-x.ci/before_script.sh4
-rw-r--r--.ci/common/build.sh10
2 files changed, 4 insertions, 10 deletions
diff --git a/.ci/before_script.sh b/.ci/before_script.sh
index 026ab0afc9..6babc582ea 100755
--- a/.ci/before_script.sh
+++ b/.ci/before_script.sh
@@ -19,6 +19,10 @@ if [[ -n "${LLVM_SYMBOLIZER}" ]] && [[ ! $(type -P "${LLVM_SYMBOLIZER}") ]]; the
echo "\$LLVM_SYMBOLIZER: '${LLVM_SYMBOLIZER}' is not executable."
exit 1
fi
+if [ "${BUILD_32BIT}" = ON ] && [ "${BUILD_MINGW}" = ON ]; then
+ >&2 echo "32-bit MinGW builds not supported."
+ exit 1
+fi
if [[ "${TRAVIS_OS_NAME}" == osx ]]; then
# Adds user to a dummy group.
diff --git a/.ci/common/build.sh b/.ci/common/build.sh
index 3d517b9b09..f635ee4960 100644
--- a/.ci/common/build.sh
+++ b/.ci/common/build.sh
@@ -1,10 +1,5 @@
build_deps() {
if [[ "${BUILD_32BIT}" == ON ]]; then
- if [[ "${BUILD_MINGW}" == ON ]]; then
- >&2 echo "32-bit MinGW builds not supported."
- exit 1
- fi
-
DEPS_CMAKE_FLAGS="${DEPS_CMAKE_FLAGS} ${CMAKE_FLAGS_32BIT}"
fi
if [[ "${BUILD_MINGW}" == ON ]]; then
@@ -42,11 +37,6 @@ build_nvim() {
CMAKE_FLAGS="${CMAKE_FLAGS} -DCLANG_${CLANG_SANITIZER}=ON"
fi
if [[ "${BUILD_32BIT}" == ON ]]; then
- if [[ "${BUILD_MINGW}" == ON ]]; then
- >&2 echo "32-bit MinGW builds not supported."
- exit 1
- fi
-
CMAKE_FLAGS="${CMAKE_FLAGS} ${CMAKE_FLAGS_32BIT}"
fi
if [[ "${BUILD_MINGW}" == ON ]]; then